Package org.firebirdsql.gds.ng

## Enum FetchDirection

- java.lang.Object
- - java.lang.Enum<FetchDirection>
  - - org.firebirdsql.gds.ng.FetchDirection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FetchDirection>`

      public enum FetchDirection
      extends java.lang.Enum<FetchDirection>

  Direction of fetch.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FORWARD` | Fetch forward (to end of cursor).
    `IN_PLACE` | Fetch in place (doesn't change position).
    `REVERSE` | Fetch reverse (to start of cursor).
    `UNKNOWN` | Fetch direction unknown (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FetchDirection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FetchDirection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final FetchDirection FORWARD

      Fetch forward (to end of cursor).

    - #### REVERSE

          public static final FetchDirection REVERSE

      Fetch reverse (to start of cursor).

    - #### IN_PLACE

          public static final FetchDirection IN_PLACE

      Fetch in place (doesn't change position).

    - #### UNKNOWN

          public static final FetchDirection UNKNOWN

      Fetch direction unknown (e.g. fetch FIRST or LAST).

  - ### Method Detail

    - #### values

          public static FetchDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FetchDirection c : FetchDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FetchDirection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null